RubyGems Navigation menu

mono_logger 1.1.0

A lock-free logger compatible with Ruby 2.0. Ruby does not allow you to request a lock in a trap handler because that could deadlock, so Logger is not sufficient.

Versions:

  1. 1.1.0 - May 19, 2013 (10 KB)
  2. 1.0.1 - April 08, 2013 (7 KB)
  3. 1.0.0 - March 20, 2013 (9.5 KB)

Development Dependencies (3):

  • bundler ~> 1.3
  • minitest ~> 4.0
  • rake >= 0
  • Owners:

    Authors:

    • Steve Klabnik

    SHA 256 checksum:

    d7ab7f237935b295e072a99fa84379a3e1bcccd2822fee2ecfacecde07a6d7a3

    Total downloads 21,423,684

    For this version 21,165,398

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: None

    Links: